/***********************************************************
LGT
***********************************************************/
var hostString="";

function init() {
  this.loginData=["https://mobile.uplus.co.kr/UserLoginCmd.lgtservice","login_id","login_pw"];
  this.pattern=/<errorCode>000000<\/errorCode>/;     
  this.userMDN=null;
}
function process(aHttpChannel, aData){
  switch(this.stage){
  case ST_LOGIN_RES:  
    this.getHtml("http://mobile.uplus.co.kr/index.jsp");
    return false;
  case ST_LOGIN_RES+1:
    var fnd=aData.match(/hpEziCon=(\S+?)\"/);
    if(fnd){
      this.userKey="hpEziCon="+fnd[1];
      this.stage=ST_DATA;
    }else break;
  case ST_DATA:
    this.getHtml("http://msgmall.ez-i.co.kr/web/UserInfo.web",this.userKey);
    return false;
  }
  return this.baseProcess(aHttpChannel, aData);
}
function onSend(sender,receiver,msg){
  var msg_org=this.main.msg[0][M_MSG];
  var post="reserveDate=&reserveYn=N&sMessage="+msg
            +"&priceInfo=0&fileObject%5F4=&fileName%5F1=&tMessage=MCMall%5FWEB&callbackCtn="+sender
            +"&msgSize="+this.getLength(msg_org)+"&otpId=&oMessage="+msg
            +"&fileName%5F2=&fileName%5F3=&fileName%5F4=&subject="+this.getSubject(msg_org)
            +"&starSeq=&productList=&albumInfo=&receiveList="+receiver
            +"&starMsgYn=N&uccAniticonId=&msgGubun=SMS&fileType%5F2=&fileObject%5F1=&fileType%5F3=&fileObject%5F2=&fileType%5F4=&"
            +this.userKey+"&fileObject%5F3=&fileType%5F1=";
  var header={"Accept-Language":"ko"};
  this.getHtml("http://msgmall.ez-i.co.kr/web/SendMsgReq.web",post,header);
  return false;
}
function getCount(aData){
  if(!this.userMDN){
    var fnd=aData.match(/<custCtn>(\d+)</);
    if(fnd){
      this.userMDN="0"+fnd[1];
      this.setSender(this.userMDN);
    }
  }
  var fnd=aData.match(/<freeSmsCnt>(\d+)</);
  if(fnd){
    return fnd[1];
  }else{
    return -1;
  }
}

function getLength(str){
  var n=0;
  for(var i=0;i<str.length;i++){
    if(str.charCodeAt(i)<255)++n;
    else n+=2;
  }
  return n;
}
function getSubject(str){
  if(str.length>=10){
    var n=0;
    for(var i=0;i<str.length;i++){
      if(str.charCodeAt(i)<255)++n;
      else n+=2;
      if(n>19){
        str=str.substring(0,i);
        break;
      }
    }
  }
  return Components.classes["@mozilla.org/intl/texttosuburi;1"]
            .getService(Components.interfaces.nsITextToSubURI)
              .ConvertAndEscape("euc-kr", str);
}
